#!/bin/bash -e -x

INFO_PLIST_FILE=${CODESIGNING_FOLDER_PATH}/Info.plist

# Check to see if the variables are already set. If they aren't. Try our local file.
if [ -z "${TWILIO_CHUNDER_INTERACTIVE_USERNAME}" ] || [ -z "${TWILIO_CHUNDER_INTERACTIVE_PASSWORD}" ] ; then
  echo "TWILIO_CHUNDER_INTERACTIVE_USERNAME and TWILIO_CHUNDER_INTERACTIVE_PASSWORD must be set"
  exit 1
fi

if [ -z "${TWILIO_SIMPLER_SIGNALING_USERNAME}" ] || [ -z "${TWILIO_SIMPLER_SIGNALING_PASSWORD}" ] ; then
  echo "TWILIO_SIMPLER_SIGNALING_USERNAME and TWILIO_SIMPLER_SIGNALING_PASSWORD must be set"
  exit 1
fi

if [ -f $INFO_PLIST_FILE ] ; then
    /usr/libexec/PlistBuddy -c "Set :CHUNDER_INTERACTIVE_USERNAME ${TWILIO_CHUNDER_INTERACTIVE_USERNAME}" ${INFO_PLIST_FILE}
    /usr/libexec/PlistBuddy -c "Set :CHUNDER_INTERACTIVE_PASSWORD ${TWILIO_CHUNDER_INTERACTIVE_PASSWORD}" ${INFO_PLIST_FILE}
    /usr/libexec/PlistBuddy -c "Set :SIMPLER_SIGNALING_USERNAME ${TWILIO_SIMPLER_SIGNALING_USERNAME}" ${INFO_PLIST_FILE}
    /usr/libexec/PlistBuddy -c "Set :SIMPLER_SIGNALING_PASSWORD ${TWILIO_SIMPLER_SIGNALING_PASSWORD}" ${INFO_PLIST_FILE}
else
    echo "${INFO_PLIST_FILE} does not exit!"
    exit 2
fi